---
references:
- id: BleiVariational2017
  accessed:
    - year: 2017
      month: 8
      day: 22
  author:
    - family: Blei
      given: David M.
    - family: Kucukelbir
      given: Alp
    - family: McAuliffe
      given: Jon D.
  citation-key: BleiVariational2017
  container-title: Journal of the American Statistical Association
  container-title-short: Journal of the American Statistical Association
  DOI: 10.1080/01621459.2017.1285773
  ISSN: 0162-1459
  issue: '518'
  issued:
    - year: 2017
      month: 4
      day: 3
  page: 859-877
  title: 'Variational Inference: A Review for Statisticians'
  type: article-journal
  URL: http://arxiv.org/abs/1601.00670
  volume: '112'

- id: BurdaImportance2016
  accessed:
    - year: 2020
      month: 10
      day: 2
  author:
    - family: Burda
      given: Yuri
    - family: Grosse
      given: Roger
    - family: Salakhutdinov
      given: Ruslan
  citation-key: BurdaImportance2016
  container-title: arXiv:1509.00519 [cs, stat]
  event-title: ICLR (Poster)
  issued:
    - year: 2016
      month: 11
      day: 7
  language: en
  title: Importance Weighted Autoencoders
  type: paper-conference
  URL: http://arxiv.org/abs/1509.00519

- id: CremerReinterpreting2017
  accessed:
    - year: 2020
      month: 10
      day: 28
  author:
    - family: Cremer
      given: Chris
    - family: Morris
      given: Quaid
    - family: Duvenaud
      given: David
  citation-key: CremerReinterpreting2017
  container-title: ICLR 2017
  event-title: ICLR
  issued:
    - year: 2017
      month: 8
      day: 14
  language: en
  title: Reinterpreting Importance-Weighted Autoencoders
  type: paper-conference
  URL: http://arxiv.org/abs/1704.02916

- id: deGarisMatthewsScalable2017
  accessed:
    - year: 2020
      month: 9
      day: 10
  author:
    - family: Matthews
      given: Alexander Graeme de Garis
  citation-key: deGarisMatthewsScalable2017
  DOI: 10.17863/CAM.25348
  genre: Thesis
  issued:
    - year: 2017
      month: 3
      day: 25
  language: en
  publisher: University of Cambridge
  title: Scalable Gaussian process inference using variational methods
  type: thesis
  URL: https://www.repository.cam.ac.uk/handle/1810/278022

- id: GelmanBayesian2013
  author:
    - family: Gelman
      given: Andrew
    - family: Carlin
      given: John B.
    - family: Stern
      given: Hal S.
    - family: Dunson
      given: David B.
    - family: Vehtari
      given: Aki
    - family: Rubin
      given: Donald B.
  call-number: QA279.5 .G45 2014
  citation-key: GelmanBayesian2013
  collection-title: Chapman & Hall/CRC texts in statistical science
  edition: 3 edition
  event-place: Boca Raton
  ISBN: 978-1-4398-4095-5
  issued:
    - year: 2013
      month: 11
      day: 1
  language: English
  number-of-pages: '675'
  publisher: Chapman and Hall/CRC
  publisher-place: Boca Raton
  title: Bayesian Data Analysis
  type: book
  URL: https://stat.columbia.edu/~gelman/book/

- id: HoffmanELBO2016
  author:
    - family: Hoffman
      given: Matthew D
    - family: Johnson
      given: Matthew J
  citation-key: HoffmanELBO2016
  container-title: Advances In Neural Information Processing Systems
  issued:
    - year: 2016
  language: en
  page: '4'
  title: >-
    ELBO surgery: yet another way to carve up the variational evidence lower
    bound
  type: paper-conference
  URL: http://approximateinference.org/accepted/HoffmanJohnson2016.pdf

- id: HugginsPractical2019
  accessed:
    - year: 2019
      month: 10
      day: 11
  author:
    - family: Huggins
      given: Jonathan H.
    - family: Kasprzak
      given: Mikołaj
    - family: Campbell
      given: Trevor
    - family: Broderick
      given: Tamara
  citation-key: HugginsPractical2019
  container-title: arXiv:1910.04102 [cs, math, stat]
  issued:
    - year: 2019
      month: 10
      day: 9
  title: Practical Posterior Error Bounds from Variational Objectives
  type: article-journal
  URL: http://arxiv.org/abs/1910.04102

- id: JordanLearning1999
  author:
    - family: Jordan
      given: Michael Irwin
  citation-key: JordanLearning1999
  event-place: Cambridge, Mass.
  ISBN: 0-262-60032-3
  issued:
    - year: 1999
  publisher: MIT Press
  publisher-place: Cambridge, Mass.
  title: Learning in graphical models
  type: book

- id: KingmaIntroduction2019
  accessed:
    - year: 2020
      month: 9
      day: 10
  author:
    - family: Kingma
      given: Diederik P.
    - family: Welling
      given: Max
  citation-key: KingmaIntroduction2019
  collection-title: Foundations and Trends in Machine Learning
  DOI: 10.1561/2200000056
  issued:
    - year: 2019
      month: 11
      day: 27
  language: English
  publisher: Now Publishers, Inc.
  title: An Introduction to Variational Autoencoders
  type: book
  URL: http://arxiv.org/abs/1906.02691
  volume: '12'

- id: KingmaVariational2017
  author:
    - family: Kingma
      given: Diederik P
  citation-key: KingmaVariational2017
  issued:
    - year: 2017
  title: 'Variational Inference & Deep Learning: A New Synthesis'
  type: thesis
  URL: https://www.dropbox.com/s/v6ua3d9yt44vgb3/cover_and_thesis.pdf?dl=0

- id: LiRenyi2016
  accessed:
    - year: 2022
      month: 2
      day: 9
  author:
    - family: Li
      given: Yingzhen
    - family: Turner
      given: Richard E
  citation-key: LiRenyi2016
  container-title: Advances in Neural Information Processing Systems
  event-place: Red Hook, NY, USA
  ISBN: 978-1-5108-3881-9
  issued:
    - year: 2016
  page: 1081–1089
  publisher: Curran Associates, Inc.
  publisher-place: Red Hook, NY, USA
  title: Rényi Divergence Variational Inference
  type: paper-conference
  URL: http://arxiv.org/abs/1602.02311
  volume: '29'

- id: MacKayInformation2002
  author:
    - family: MacKay
      given: David J C
  citation-key: MacKayInformation2002
  ISBN: 0-521-64298-1
  issued:
    - year: 2002
  publisher: Cambridge University Press
  title: Information Theory, Inference & Learning Algorithms
  type: book

- id: MathieuDisentangling2019
  accessed:
    - year: 2020
      month: 10
      day: 28
  author:
    - family: Mathieu
      given: Emile
    - family: Rainforth
      given: Tom
    - family: Siddharth
      given: N.
    - family: Teh
      given: Yee Whye
  citation-key: MathieuDisentangling2019
  container-title: International Conference on Machine Learning
  event-title: International Conference on Machine Learning
  ISSN: 2640-3498
  issued:
    - year: 2019
      month: 5
      day: 24
  language: en
  page: 4402-4412
  publisher: PMLR
  title: Disentangling Disentanglement in Variational Autoencoders
  type: paper-conference
  URL: http://arxiv.org/abs/1812.02833

- id: MurphyMachine2012
  author:
    - family: Murphy
      given: Kevin P.
  call-number: Q325.5 .M87 2012
  citation-key: MurphyMachine2012
  collection-title: Adaptive computation and machine learning series
  edition: 1 edition
  event-place: Cambridge, MA
  ISBN: 978-0-262-01802-9
  issued:
    - year: 2012
  language: English
  number-of-pages: '1067'
  publisher: MIT Press
  publisher-place: Cambridge, MA
  title: 'Machine learning: a probabilistic perspective'
  type: book

- id: RainforthTighter2019
  accessed:
    - year: 2020
      month: 10
      day: 2
  author:
    - family: Rainforth
      given: Tom
    - family: Kosiorek
      given: Adam R.
    - family: Le
      given: Tuan Anh
    - family: Maddison
      given: Chris J.
    - family: Igl
      given: Maximilian
    - family: Wood
      given: Frank
    - family: Teh
      given: Yee Whye
  citation-key: RainforthTighter2019
  container-title: arXiv:1802.04537 [cs, stat]
  issued:
    - year: 2019
      month: 3
      day: 5
  language: en
  title: Tighter Variational Bounds are Not Necessarily Better
  type: article-journal
  URL: http://arxiv.org/abs/1802.04537

- id: RieglerMerging2012
  accessed:
    - year: 2022
      month: 2
      day: 11
  author:
    - family: Riegler
      given: Erwin
    - family: Kirkelund
      given: Gunvor Elisabeth
    - family: Manchón
      given: Carles Navarro
    - family: Badiu
      given: Mihai-Alin
    - family: Fleury
      given: Bernard Henry
  citation-key: RieglerMerging2012
  container-title: arXiv:1112.0467 [cs, math, stat]
  issued:
    - year: 2012
      month: 6
      day: 28
  language: en
  title: >-
    Merging Belief Propagation and the Mean Field Approximation: A Free Energy
    Approach
  type: article-journal
  URL: http://arxiv.org/abs/1112.0467

- id: RoederSticking2017
  accessed:
    - year: 2020
      month: 10
      day: 2
  author:
    - family: Roeder
      given: Geoffrey
    - family: Wu
      given: Yuhuai
    - family: Duvenaud
      given: David
  citation-key: RoederSticking2017
  container-title: arXiv:1703.09194 [cs, stat]
  issued:
    - year: 2017
      month: 5
      day: 28
  language: en
  title: >-
    Sticking the Landing: Simple, Lower-Variance Gradient Estimators for
    Variational Inference
  type: article-journal
  URL: http://arxiv.org/abs/1703.09194

- id: TuckerDoubly2018
  accessed:
    - year: 2020
      month: 10
      day: 2
  author:
    - family: Tucker
      given: George
    - family: Lawson
      given: Dieterich
    - family: Gu
      given: Shixiang
    - family: Maddison
      given: Chris J.
  citation-key: TuckerDoubly2018
  container-title: arXiv:1810.04152 [cs, stat]
  issued:
    - year: 2018
      month: 11
      day: 19
  language: en
  title: Doubly Reparameterized Gradient Estimators for Monte Carlo Objectives
  type: article-journal
  URL: http://arxiv.org/abs/1810.04152

- id: WainwrightGraphical2008
  accessed:
    - year: 2014
      month: 8
      day: 16
  author:
    - family: Wainwright
      given: Martin J.
    - family: Jordan
      given: Michael I.
  citation-key: WainwrightGraphical2008
  collection-title: Foundations and Trends® in Machine Learning
  DOI: 10.1561/2200000001
  issued:
    - year: 2008
  publisher: Now Publishers
  title: Graphical models, exponential families, and variational inference
  type: book
  URL: http://www.cs.berkeley.edu/~jordan/papers/wainwright-jordan-fnt.pdf
  volume: '1'

- id: WainwrightVariational2005
  accessed:
    - year: 2015
      month: 1
      day: 31
  author:
    - family: Wainwright
      given: Martin
    - family: Jordan
      given: Michael I
  citation-key: WainwrightVariational2005
  container-title: New Directions in Statistical Signal Processing
  issued:
    - year: 2005
  publisher: MIT Press
  title: A variational principle for graphical models
  type: chapter
  volume: '155'

- id: YedidiaConstructing2005
  accessed:
    - year: 2023
      month: 1
      day: 30
  author:
    - family: Yedidia
      given: J.S.
    - family: Freeman
      given: W.T.
    - family: Weiss
      given: Y.
  citation-key: YedidiaConstructing2005
  container-title: IEEE Transactions on Information Theory
  container-title-short: IEEE Trans. Inform. Theory
  DOI: 10.1109/TIT.2005.850085
  ISSN: 0018-9448
  issue: '7'
  issued:
    - year: 2005
      month: 7
  language: en
  page: 2282-2312
  title: >-
    Constructing Free-Energy Approximations and Generalized Belief Propagation
    Algorithms
  type: article-journal
  URL: https://www.merl.com/publications/TR2004-040
  volume: '51'

- id: YedidiaGeneralized2000
  accessed:
    - year: 2021
      month: 12
      day: 7
  author:
    - family: Yedidia
      given: Jonathan S.
    - family: Freeman
      given: William T.
    - family: Weiss
      given: Yair
  citation-key: YedidiaGeneralized2000
  collection-title: NIPS'00
  container-title: >-
    Proceedings of the 13th International Conference on Neural Information
    Processing Systems
  event-place: Cambridge, MA, USA
  issued:
    - year: 2000
      month: 1
      day: 1
  page: 668–674
  publisher: MIT Press
  publisher-place: Cambridge, MA, USA
  title: Generalized belief propagation
  type: paper-conference

- id: YedidiaUnderstanding2003
  author:
    - family: Yedidia
      given: J.S.
    - family: Freeman
      given: W.T.
    - family: Weiss
      given: Y.
  citation-key: YedidiaUnderstanding2003
  container-title: Exploring Artificial Intelligence in the New Millennium
  editor:
    - family: Lakemeyer
      given: G.
    - family: Nebel
      given: B.
  ISBN: 1-55860-811-7
  issued:
    - year: 2003
      month: 1
  page: 239–236
  publisher: Morgan Kaufmann Publishers
  section: '8'
  title: Understanding Belief Propagation and Its Generalizations
  type: chapter
  URL: http://www.merl.com/publications/TR2001-22
...
